pasting features changes the order of columns in attributes table (table view)

2019-02-22 12:25 AM - Lene Fischer

Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29162

Description

Hi

I have 2 layers in a geopackage file

Layer 1 has 6 fields

Layer 2 has 12 fields

The first 6 fields has the same names and types for both layers.

If I copy from layer 1 paste into layer 2 some of the fields are moved in the attribute tabel.

When I look into Source Fields - it´s correct.

I have attached the project and data

History

#1 - 2019-02-22 12:26 AM - Lene Fischer

- File kirkegaard.gpkg added

#2 - 2019-02-22 10:17 AM - Giovanni Manghi

- Operating System deleted (Windows 7)

- Subject changed from Copy / Paste features rearrange fields to pasting features changes the order of columns in attributes table (table view)

In form view the order seems also correct (other than in vector properties).

Files

copy_paste.qgz 5.67 KB 2019-02-21 Lene Fischer

kirkegaard.gpkg 1.65 MB 2019-02-21 Lene Fischer
